Page MenuHomePhabricator

Archive the BookManagerv2 extension
Closed, ResolvedPublicRequest

Description

I would suggest to archive the unmaintained and inactive extension:

Details

Related Gerrit Patches:
integration/config : masterArchive the BookManagerv2 extension
translatewiki : masterArchive the BookManagerv2 extension
mediawiki/extensions/BookManagerv2 : masterArchive the BookManagerv2 extension
mediawiki/extensions/BookManagerv2 : masterArchive the BookManagerv2 extension

Related Objects

Mentioned In
T180038: GitHub mirror deletion requests
MediaWiki-extensions-BookManagerv2
T17071: Wikibooks/Wikisource needs means to associate separate pages with books
T52679: Implement keyboard navigation for Bookmanagerv2
T52386: Create basic tool for reading books (group of pages)
T53257: Improve UX in chapter dropdown menu for books with lots of chapters
T52958: Validate a book's JSON block against a JSON schema.
T53239: Create a tool for edit books (group of pages) that reduces the learning curve
T53844: Add variables to enable or disable parts of the extension
T53969: Allow metadata to be edited
T53970: Allow chapter list to be edited
T53971: Import external metadata
T53974: Edit an entire book at once
T53973: Create fallback for arranging chapters for users with no Javascript
T53975: Automatically add book categories to sections of the book
T54343: Invalidate navbar cache when JSON is edited
T54340: Allow non-Gregorian dates for publication date.
T54417: Allow mass indentation changes
T54416: Add support for section indentation (subsections, etc.) in JSON schema
T54470: Pull the JSON schema from a local page
T54766: Allow array properties to have more than one value
T54816: Allow users to add links to the metadata
T54823: Link the title in the JSON frontend to the main book page
T55223: Create read-only edit form for users who are prevented from editing
T55189: JSON editor sections don't wrap well
T55435: Move an entire block of sections if the parent is moved
T55286: Ease migration of existing books
T55448: Remove edit toolbar from the editing form
T55451: Remove unused buttons from edit form
T55601: Change the JavaScript bindings
T55452: Show a preview for the edit form
T56088: Create an informative diff view for comparing revisions of metadata pages
T67293: Add navigation bar ( with table of contents and prev/next links ) on edit page ( visual editor ) of chapters
T60079: Undefined property: stdClass::$publication_year in BookManagerv2.hooks.php on line 392
T60080: bookmanagerv2-publication-date-field-field message is missing
T67295: Larger text-area for description field in metadata instead of textbox
T67296: Date picker for publication date field in metadata
T67300: Full screen reading mode
T67329: Implement options to format text to improve readability
T67330: Option to search in book on all pages
T67769: Slow loading of Json Editor in mobile frontend
T67771: Json book data on book page ( in namespace Book ) is not recognised as JsonContent
T68130: Chapter-list search box value becomes empty when new data is being loaded
T68269: Make a version of book navigation that works without javascript
T68270: A version of book navigation without css and images
T68774: Remove [[category:book:book_name]] from the section when removed from section list.
T68271: Mobile Version of book navigation
T68775: Add category:Book:Book_name to all pages when new sections are imported.
T68788: Show only subpage title in section list for sections without label
T68789: Add message documentation for newly added messages
T68957: Same readability options on all chapters of the book
T71334: BookManagerv2 should extend from JSONContent in core
T69066: Implement epubjs reader like navigation in fullscreen mode
T71800: Using query parameters in the url for navigation
T71801: Readability options controls shift back to initial value on navigation
T71806: Use metadata from Wikidata.org directly instead of copying the data

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2017, 6:25 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptOct 25 2017, 11:21 AM
MarcoAurelio triaged this task as Normal priority.Nov 6 2017, 11:44 AM

Change 389537 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/BookManagerv2@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389537

Change 389537 merged by Umherirrender:
[mediawiki/extensions/BookManagerv2@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389537

Change 389539 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/BookManagerv2@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389539

Change 389539 merged by Umherirrender:
[mediawiki/extensions/BookManagerv2@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389539

Umherirrender updated the task description. (Show Details)Nov 6 2017, 7:06 PM

Change 389540 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[translatewiki@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389540

Change 389540 merged by jenkins-bot:
[translatewiki@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389540

I'm closing as declined all tasks open in the BookManagerV2 project. I see that all patches uploaded to Gerrit have been abandoned long ago as well.

MarcoAurelio added a subscriber: hashar.EditedNov 7 2017, 10:12 AM

@hashar Can you please take care of the ZUUL patch and the GitHub mirror deletion? Thanks!

Edit: no zuul patch yet, shortly follows.

Edit 2: Patch-For-Review https://gerrit.wikimedia.org/r/#/c/389680/

Change 389680 had a related patch set (by MarcoAurelio) published:
[integration/config@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389680

MarcoAurelio added a subscriber: MarcoAurelio.

I'm assigning this task to @Umherirrender since he did the most of the job. Thank you.

Change 389680 merged by jenkins-bot:
[integration/config@master] Archive the BookManagerv2 extension

https://gerrit.wikimedia.org/r/389680

MarcoAurelio updated the task description. (Show Details)Nov 8 2017, 11:18 AM
MarcoAurelio removed a project: Patch-For-Review.

GitHub mirror deletion pending.

MarcoAurelio closed this task as Resolved.Nov 9 2017, 1:49 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.